-- liquibase formatted sql
-- changeset rzen:1

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

CREATE TABLE IF NOT EXISTS `test`.`e1` (
    `id` INT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
    `text` TEXT NULL DEFAULT NULL,
    `e2_id` INT(5) UNSIGNED NULL DEFAULT NULL,
    PRIMARY KEY (`id`),
    INDEX `fk_e2_idx` (`e2_id` ASC) VISIBLE,
    CONSTRAINT `fk_e2`
        FOREIGN KEY (`e2_id`)
            REFERENCES `test`.`e2` (`id`)
            ON DELETE NO ACTION
            ON UPDATE NO ACTION)
    ENGINE = InnoDB
    DEFAULT CHARACTER SET = utf8;

CREATE TABLE IF NOT EXISTS `test`.`e2` (
    `id` INT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
    `text` TEXT NULL DEFAULT NULL,
    `e1_id` INT(5) UNSIGNED NULL DEFAULT NULL,
    PRIMARY KEY (`id`),
    INDEX `fk_e1_idx` (`e1_id` ASC) VISIBLE,
    CONSTRAINT `fk_e1`
        FOREIGN KEY (`e1_id`)
            REFERENCES `test`.`e1` (`id`)
            ON DELETE NO ACTION
            ON UPDATE NO ACTION)
    ENGINE = InnoDB
    DEFAULT CHARACTER SET = utf8;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
