package test;

import io.bootique.cli.Cli;
import io.bootique.command.CommandOutcome;
import io.bootique.command.CommandWithMetadata;
import io.bootique.meta.application.CommandMetadata;
import org.apache.cayenne.ObjectContext;
import org.apache.cayenne.configuration.server.ServerRuntime;

import javax.inject.Inject;
import javax.inject.Provider;

public class FailCommand extends CommandWithMetadata {

    @Inject
    private Provider<ServerRuntime> cayenneRuntimeProvider;

    @Inject
    public FailCommand(CommandMetadata.Builder metadataBuilder) {
        super(metadataBuilder
                .name("fail")
                .description("Demo of a possible issue with Cayenne.")
                .build()
        );
    }

    @Override
    public CommandOutcome run(Cli cli) {
        ObjectContext context = cayenneRuntimeProvider.get().newContext();
        TestCase.runTest(context, true);
        return CommandOutcome.succeeded();
    }
}