package test;

import io.bootique.BQCoreModule;
import io.bootique.BaseModule;
import io.bootique.Bootique;
import io.bootique.di.Binder;
import io.bootique.meta.application.OptionMetadata;

public class TestApp extends BaseModule {

    public static void main(String[] args) {
        Bootique.app(args)
                .autoLoadModules()
                .exec()
                .exit();
    }

    @Override
    public void configure(Binder binder) {
        BQCoreModule.extend(binder)
                .addConfig("classpath:test/default.yaml")
                .addCommand(FailCommand.class)
                .addCommand(HappyCommand.class)

                // --local
                .addOption(OptionMetadata.builder("local", "Load configuration for local environment.").build())
                .mapConfigResource("local", "classpath:test/local.yaml")

        ;
    }
}
